summaryrefslogtreecommitdiffstats
path: root/android_webview/build
diff options
context:
space:
mode:
authorleandrogracia@chromium.org <leandrogracia@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-08-21 18:28:30 +0000
committerleandrogracia@chromium.org <leandrogracia@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-08-21 18:28:30 +0000
commitf1c3c7977af93d1421db66d39ea83b9aa97747e2 (patch)
tree80a97f67fc5aa7490705628333fe2f8088f36c56 /android_webview/build
parenta9b4441d02e85aac508fc2707b9f2cbde142421b (diff)
downloadchromium_src-f1c3c7977af93d1421db66d39ea83b9aa97747e2.zip
chromium_src-f1c3c7977af93d1421db66d39ea83b9aa97747e2.tar.gz
chromium_src-f1c3c7977af93d1421db66d39ea83b9aa97747e2.tar.bz2
Refactor the Android port to allow access to the chrome layer.
While in desktop chrome the main WebContentsDelegate is implemented in the chrome layer by the Browser class, the Android port implements it in the content layer in its ContentViewClient class. However, because of the content layering limitations this renders the chrome layer out of reach. This patch splits the WebContentsDelegate implementation in ContentViewClient into a separate class named WebContentsDelegateAndroid in the first chrome browser component "web_contents_delegate_android". Also, this patch introduces stubs for Chrome-specific and WebView-specific extensions of WebContentsDelegateAndroid in order to set the foundations for later patches. BUG=137967 TEST=existing tests Review URL: https://chromiumcodereview.appspot.com/10831060 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@152598 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'android_webview/build')
-rwxr-xr-xandroid_webview/build/install_binary23
1 files changed, 23 insertions, 0 deletions
diff --git a/android_webview/build/install_binary b/android_webview/build/install_binary
new file mode 100755
index 0000000..24aaa83
--- /dev/null
+++ b/android_webview/build/install_binary
@@ -0,0 +1,23 @@
+#!/bin/bash -x
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Copies a possibly stripped binary and a symbol file to installation dirs.
+
+if [ "$3" = "" ]
+then
+ echo "Usage: install_binary path/to/binary path/to/target1 path/to/target2 path/to/symbols"
+ exit 1
+fi
+
+SOURCE=$1
+TARGET=$2
+TARGET2=$3
+SYMBOLS=$4
+
+mkdir -p $(dirname $SYMBOLS)
+
+cp $SOURCE $SYMBOLS
+$STRIP --strip-unneeded $SOURCE -o $TARGET
+cp $TARGET $TARGET2